> ## Documentation Index
> Fetch the complete documentation index at: https://help.lobyco.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create notification campaign



## OpenAPI

````yaml openapi/push-v1.json POST /v2/Campaign/notifications/send
openapi: 3.0.1
info:
  title: Push.Api
  version: v1
servers:
  - url: https://{host}/push
    description: Your Lobyco environment
    variables:
      host:
        default: your-environment.lobyco.net
        description: >-
          The API host for your Lobyco environment. Replace it with the host you
          were given — this placeholder does not resolve.
security:
  - Bearer: []
paths:
  /v2/Campaign/notifications/send:
    post:
      tags:
        - S2S
      summary: Create notification campaign
      requestBody:
        content:
          application/json-patch+json:
            schema:
              $ref: >-
                #/components/schemas/Push.Api.DTO.CreateCampaignNotificationRequestV2
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Push.Api.DTO.CreateCampaignNotificationRequestV2
          text/json:
            schema:
              $ref: >-
                #/components/schemas/Push.Api.DTO.CreateCampaignNotificationRequestV2
          application/*+json:
            schema:
              $ref: >-
                #/components/schemas/Push.Api.DTO.CreateCampaignNotificationRequestV2
      responses:
        '200':
          description: Success
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Push.Api.DTO.CreateNotificationResponse'
            application/json:
              schema:
                $ref: '#/components/schemas/Push.Api.DTO.CreateNotificationResponse'
            text/json:
              schema:
                $ref: '#/components/schemas/Push.Api.DTO.CreateNotificationResponse'
        '400':
          description: Bad Request
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
      deprecated: true
components:
  schemas:
    Push.Api.DTO.CreateCampaignNotificationRequestV2:
      required:
        - campaign
        - customerIds
        - operationId
        - push
      type: object
      properties:
        campaign:
          $ref: '#/components/schemas/Push.Api.DTO.CampaignDTO'
        push:
          $ref: '#/components/schemas/Push.Api.DTO.PushDTOV2'
        customerIds:
          type: array
          items:
            type: string
        operationId:
          maxLength: 125
          minLength: 1
          type: string
      additionalProperties: false
    Push.Api.DTO.CreateNotificationResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
      additionalProperties: false
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    Push.Api.DTO.CampaignDTO:
      required:
        - endAt
        - id
        - issuer
        - name
        - startAt
      type: object
      properties:
        id:
          maxLength: 125
          minLength: 1
          type: string
        name:
          maxLength: 255
          minLength: 1
          type: string
        startAt:
          type: string
          format: date-time
        endAt:
          type: string
          format: date-time
        issuer:
          maxLength: 125
          minLength: 1
          type: string
      additionalProperties: false
    Push.Api.DTO.PushDTOV2:
      required:
        - expirationDate
        - message
        - templateName
        - title
      type: object
      properties:
        title:
          maxLength: 255
          minLength: 1
          type: string
        message:
          maxLength: 256
          minLength: 1
          type: string
        templateName:
          maxLength: 255
          minLength: 1
          type: string
        expirationDate:
          type: string
          format: date-time
        deepLinkId:
          maxLength: 125
          type: string
          nullable: true
        deepLinkParameters:
          maxLength: 4000
          type: string
          nullable: true
        deepLinkUrl:
          maxLength: 2047
          type: string
          nullable: true
        unifiedCampaignId:
          maxLength: 64
          type: string
          nullable: true
      additionalProperties: false
  securitySchemes:
    Bearer:
      type: apiKey
      description: >-
        Opaque Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      name: Authorization
      in: header

````